devel/p5-IO-Prompter - The NetBSD Packages Collection

Prompt for, read, vet, chomp, and encapsulate input

IO::Prompter exports a single subroutine, C, that prints a
prompt (but only if the program's selected input and output streams are
connected to a terminal), then reads some input, then chomps it, and
finally returns an object representing that text.

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/p5-Contextual-Return lang/perl5 lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 10.0aarch64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 10.0earmv6hfp5-IO-Prompter-0.004015nb4.tgz
NetBSD 10.0earmv6hfp5-IO-Prompter-0.004015nb4.tgz
NetBSD 10.0earmv7hfp5-IO-Prompter-0.004015nb4.tgz
NetBSD 10.0earmv7hfp5-IO-Prompter-0.004015nb4.tgz
NetBSD 10.0i386p5-IO-Prompter-0.004015nb4.tgz
NetBSD 10.0powerpcp5-IO-Prompter-0.004015nb4.tgz
NetBSD 10.0powerpcp5-IO-Prompter-0.004015nb4.tgz
NetBSD 10.0x86_64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 10.0x86_64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 8.0earmv7hfp5-IO-Prompter-0.004015nb3.tgz
NetBSD 8.0i386p5-IO-Prompter-0.004015nb3.tgz
NetBSD 8.0i386p5-IO-Prompter-0.004015nb4.tgz
NetBSD 8.0powerpcp5-IO-Prompter-0.004015nb3.tgz
NetBSD 8.0powerpcp5-IO-Prompter-0.004015nb4.tgz
NetBSD 8.0powerpcp5-IO-Prompter-0.004015nb4.tgz
NetBSD 8.0x86_64p5-IO-Prompter-0.004015nb3.tgz
NetBSD 8.0x86_64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0aarch64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0aarch64p5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0aarch64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0alphap5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0alphap5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0alphap5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0alphap5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0alphap5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0earmp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0earmp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0earmp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0earmv6hfp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0earmv6hfp5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0earmv6hfp5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0earmv7hfp5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0earmv7hfp5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0earmv7hfp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0i386p5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0i386p5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0i386p5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0m68kp5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0m68kp5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0mips64ebp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0mips64ebp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0mips64ebp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0powerpcp5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0powerpcp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0powerpcp5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0sh3elp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0sh3elp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0sh3elp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0sparc64p5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0sparc64p5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0sparc64p5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0sparc64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0sparc64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0sparcp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0sparcp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0sparcp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0sparcp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0sparcp5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0sparcp5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0vaxp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0vaxp5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0x86_64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0x86_64p5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0x86_64p5-IO-Prompter-0.004015nb3.tgz
NetBSD 9.0x86_64p5-IO-Prompter-0.004015nb4.tgz
NetBSD 9.0x86_64p5-IO-Prompter-0.004015nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.